Bug 535270 - (RHQ-1984) Fix Operations tab (for single resource) UI when user doesn't have permission
Fix Operations tab (for single resource) UI when user doesn't have permission
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2009-04-16 12:41 EDT by Jeff Weiss
Modified: 2014-11-09 17:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
rev3752
Last Closed: 2011-02-11 17:17:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2009-04-16 12:41:00 EDT
The basic problem here is that for a single resource, the Operations tab when the user doesn't have permission, should disable the operations links and show a message that the user doesn't have permission.   This is already implemented for groups.

<jweiss> ghinkle: i'm also noticing a strange discrepancy between the operation tab of the group top level resource (AS Servers) and a single AS Server's Operation tab.  in the group, the tab shows "You do not have permissions to execute operations on this group " and the links are disabled.  the single resource has no such message, the links are enabled, and when you click them you get a message about not having permission.
 the former seems like the proper way to deny permission on the op tab.  why 2 implementations?
 wait, what i mean is not, 'why do the internals require 2 impls', but rather even if there are two internal impls, why do they look different in the UI
<ghinkle> jweiss: i haven't gotten around to fixing the resource version... just the group version
<jweiss> ghinkle: ok, is there a jira for it?  i'm not going to push for fixing in 2.2 but needs to be tracked
<ghinkle> not sure
<jweiss> i'll write one if i can't find it
Comment 1 Red Hat Bugzilla 2009-11-10 15:55:27 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1984
Comment 2 Ian Springer 2011-02-11 17:17:31 EST
This was JSF. Authz is done for the coregui resource and group Operations tabs. Specifically, the various buttons - New, Delete, etc. - are disabled if the user does not have the CONTROL perm.

Note You need to log in before you can comment on or make changes to this bug.